/************************************************************/
/*    NAME: ENSTA                                              */
/*    ORGN: MIT                                             */
/*    FILE: SimIMU.h                                          */
/*    DATE: December 29th, 1963                             */
/************************************************************/

#ifndef SimIMU_HEADER
#define SimIMU_HEADER

#include "MOOS/libMOOS/Thirdparty/AppCasting/AppCastingMOOSApp.h"

class SimIMU : public AppCastingMOOSApp
{
 public:
   SimIMU();
   ~SimIMU() {};

 protected: // Standard MOOSApp functions to overload  
   bool OnNewMail(MOOSMSG_LIST &NewMail);
   bool Iterate();
   bool OnConnectToServer();
   bool OnStartUp();

 protected: // Standard AppCastingMOOSApp function to overload 
   bool buildReport();

 protected:
   void registerVariables();

 private: // Configuration variables

 private: // State variables
};

#endif 
